<?php

/**
 * E-goi.com
 *
 * @title      E-Goi Multi-channel Marketing
 * @package    E-Goi
 * @copyright  Copyright (c) 2012-2023 E-Goi - https://e-goi.com
 */

namespace Egoi\Marketing\Block\Adminhtml;

/**
 * Class Lists
 *
 * @package Egoi\Marketing\Block\Adminhtml
 */
class Lists extends \Magento\Backend\Block\Widget\Grid\Container
{

    protected function _construct()
    {

        $this->_blockGroup = 'Egoi_Marketing';
        $this->_controller = 'adminhtml_lists';
        $this->_headerText = __('lists');

        $this->buttonList->remove('add');

        parent::_construct();

    }
}
