<?php

/**
 * E-goi.com
 *
 * @title      E-Goi Multi-channel Marketing
 * @package    E-Goi
 * @copyright  Copyright (c) 2012-2023 E-Goi - https://e-goi.com
 */

namespace Egoi\Marketing\Controller\Adminhtml\Account;

/**
 * Class Index
 *
 * @package Egoi\Marketing\Controller\Adminhtml\Account
 */
class Index extends \Egoi\Marketing\Controller\Adminhtml\Account
{

    public function execute()
    {

        # \Magento\Framework\App\ObjectManager::getInstance()->create("Egoi\Marketing\Model\Egoi")->addSubscriberBulk();

        parent::execute();

        $resultPage = $this->_initAction();

        $auth = $this->egoi->validateEgoiEnvironment();
        if (!$auth) {
            return $this->resultRedirectFactory->create()->setPath('*/account/new');
        }

        $list = $this->_listsFactory->create()->getList();

        if (!$list->getListnum()) {
            return $this->resultRedirectFactory->create()->setPath('*/account/map');
        }

        $resultPage->addContent($resultPage->getLayout()->createBlock('Egoi\Marketing\Block\Adminhtml\Account'));

        return $resultPage;
    }
}
