<?php

/**
 * E-goi.com
 *
 * @title      E-Goi Multi-channel Marketing
 * @package    E-Goi
 * @copyright  Copyright (c) 2012-2023 E-Goi - https://e-goi.com
 */

namespace Egoi\Marketing\Model\ResourceModel\Lists;

/**
 * Class Collection
 *
 * @package Egoi\Marketing\Model\ResourceModel\Lists
 */
class Collection extends \Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection
{

    /**
     * Constructor
     * Configures collection
     *
     * @return void
     */
    protected function _construct()
    {

        parent::_construct();
        $this->_init('Egoi\Marketing\Model\Lists', 'Egoi\Marketing\Model\ResourceModel\Lists');
    }

}
