<?php

namespace Egoi\Marketing\Observer\Qero;

use Magento\Framework\Event\ObserverInterface;

/**
 *
 */
class NewOrderPlaceAfter implements ObserverInterface
{

    /**
     * @var \Egoi\Marketing\Helper\Qero
     */
    protected $helper;

    /**
     * @param \Egoi\Marketing\Helper\Qero $helper
     */
    function __construct(
        \Egoi\Marketing\Helper\Qero $helper
    )
    {

        $this->helper = $helper;
    }

    /**
     * @param \Magento\Framework\Event\Observer $event
     */
    public function execute(\Magento\Framework\Event\Observer $event)
    {

        $this->helper->queroOrderRegister(
            $event->getEvent()->getOrder(),
            \Egoi\Marketing\Helper\Qero::OPERATION_CAPTIVE
        );
    }

}
