<?php

namespace Egoi\Marketing\Block;

/**
 * Class Track
 *
 * @package Egoi\Marketing\Block
 */
class Qero extends \Magento\Framework\View\Element\Template
{

    /**
     * @var \Egoi\Marketing\Helper\Data
     */
    protected $helper;

    /**
     * Core registry
     *
     * @var \Magento\Framework\Registry
     */
    protected $registry;

    /**
     * @var \Magento\Checkout\Model\Session
     */
    protected $checkout;

    /**
     * @var \Magento\Customer\Model\Session
     */
    protected $customerSession;

    /**
     * @param \Magento\Framework\Registry                      $registry
     * @param \Magento\Checkout\Model\Session                  $checkout
     * @param \Magento\Customer\Model\Session                  $customerSession
     * @param \Egoi\Marketing\Helper\Data                      $helper
     * @param \Magento\Framework\View\Element\Template\Context $context
     */
    public function __construct(

        \Magento\Framework\Registry                      $registry,
        \Magento\Checkout\Model\Session                  $checkout,
        \Magento\Customer\Model\Session                  $customerSession,
        \Egoi\Marketing\Helper\Data                      $helper,
        \Magento\Framework\View\Element\Template\Context $context
    )
    {

        $this->registry = $registry;
        $this->customerSession = $customerSession;
        $this->checkout = $checkout;
        $this->helper = $helper;

        parent::__construct($context);

        $this->setTemplate('qero.phtml');

    }

}