<?php

namespace Egoi\Marketing\Observer\Qero;

use Magento\Framework\Event\ObserverInterface;

/**
 *
 */
class CancelOrder implements ObserverInterface
{

    /**
     * @var \Egoi\Marketing\Helper\Qero
     */
    protected $helper;

    /**
     * @param \Egoi\Marketing\Helper\Qero $helper
     */
    function __construct(
        \Egoi\Marketing\Helper\Qero $helper
    )
    {

        $this->helper = $helper;
    }

    /**
     * @param \Magento\Framework\Event\Observer $event
     */
    public function execute(\Magento\Framework\Event\Observer $event)
    {

        try {
            $this->helper->queroOrderCancel($event->getEvent()->getOrder());
        } catch (\Exception $e) {
            $this->helper->getLogger()->critical($e->getMessage());
        }
    }

}
